package com.tencent.mm.pluginsdk.g.a.c;

public abstract class a$a<T extends a> {
    protected String cvZ;
    protected long fRS;
    protected int networkType;
    protected int priority;
    protected final String url;
    protected String vdC;
    protected int vdM;

    public a$a(String str) {
        this.url = str;
    }

    public final a$a<T> aja(String str) {
        this.vdC = str;
        return this;
    }

    public final a$a<T> KG(int i) {
        this.networkType = i;
        return this;
    }

    public final a$a<T> md(long j) {
        this.fRS = j;
        return this;
    }

    public final a$a<T> KH(int i) {
        this.vdM = i;
        return this;
    }

    public final a$a<T> ajb(String str) {
        this.cvZ = str;
        return this;
    }

    public final a$a<T> KI(int i) {
        this.priority = i;
        return this;
    }
}
